## mx4j.tools.remote.soap.axis.ser
Class AxisDeserializer

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.encoding.DeserializerImpl
                  mx4j.tools.remote.soap.axis.ser.AxisDeserializer

All Implemented Interfaces:
  org.apache.axis.encoding.Callback, org.xml.sax.ContentHandler, org.apache.axis.encoding.Deserializer, javax.xml.rpc.encoding.Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

Direct Known Subclasses:
  AttributeDeser, AttributeListDeser, MBeanAttributeInfoDeser, MBeanConstructorInfoDeser, MBeanInfoDeser, MBeanNotificationInfoDeser, MBeanOperationInfoDeser, MBeanParameterInfoDeser, MBeanServerNotificationFilterDeser, NotificationDeser, NotificationFilterSupportDeser, NotificationResultDeser, ObjectInstanceDeser, ObjectNameDeser, PrincipalDeser, RelationTypeSupportDeser, RoleDeser, RoleInfoDeser, RoleListDeser, RoleResultDeser, RoleUnresolvedListDeser, SetDeser, SubjectDeser, TargetedNotificationDeser

public abstract class AxisDeserializer
extends org.apache.axis.encoding.DeserializerImpl

Version:
  $Revision: 1.4 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`defaultType, id, isEnded, isHref, isNil, log, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`AxisDeserializer()`

Method Summary
`protected abstract java.lang.Object` `createObject()`
`protected Logger` `getLogger()`
`void` `onEndElement(java.lang.String namespace, java.lang.String localName, org.apache.axis.encoding.DeserializationContext context)`
`protected abstract void` `onSetChildValue(java.lang.Object value, java.lang.Object hint)`
`org.apache.axis.message.SOAPHandler` `onStartChild(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, org.apache.axis.encoding.DeserializationContext context)`
`void` `onStartElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, org.apache.axis.encoding.DeserializationContext context)`
`void` `setChildValue(java.lang.Object value, java.lang.Object hint)`

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`addChildDeserializer, componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, registerValueTarget, removeValueTargets, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisDeserializer

    public AxisDeserializer()

Method Detail

### getLogger

    protected Logger getLogger()

### onStartElement

    public void onStartElement(java.lang.String namespace,
                               java.lang.String localName,
                               java.lang.String prefix,
                               org.xml.sax.Attributes attributes,
                               org.apache.axis.encoding.DeserializationContext context)
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### onStartChild

    public org.apache.axis.message.SOAPHandler onStartChild(java.lang.String namespace,
                                                            java.lang.String localName,
                                                            java.lang.String prefix,
                                                            org.xml.sax.Attributes attributes,
                                                            org.apache.axis.encoding.DeserializationContext context)
                                                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### setChildValue

    public void setChildValue(java.lang.Object value,
                              java.lang.Object hint)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### onSetChildValue

    protected abstract void onSetChildValue(java.lang.Object value,
                                            java.lang.Object hint)
                                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### onEndElement

    public void onEndElement(java.lang.String namespace,
                             java.lang.String localName,
                             org.apache.axis.encoding.DeserializationContext context)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### createObject

    protected abstract java.lang.Object createObject()
                                              throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.